https://platform.reducto.ai/edit_asyncBody
document_urlstring | UploadResponseRequiredThe URL of the document to be processed. You can provide one of the following:
- A publicly available URL
- A presigned S3 URL
- A reducto:// prefixed URL obtained from the /upload endpoint after directly uploading a document
UploadResponse properties
file_idstringRequiredpresigned_urlstring
edit_instructionsstringRequiredThe instructions for the edit.
edit_optionsEditOptions5 properties
colorstringThe color to use for edits, in hex format.
- Default
"#FF0000"
font_sizenumberThe font size (in points) to use for filled text fields. If not specified, font size is automatically calculated based on field dimensions.
llm_provider_preferencestringThe LLM provider to use for edit processing. If not specified, defaults to 'google'
enable_overflow_pagesbooleanIf True, creates overflow pages for text that doesn't fit in form fields. Defaults to False.
- Default
false
flattenbooleanIf True, flattens form fields after filling, converting them to static content. Defaults to False.
- Default
false
form_schemaEditWidget[]Form schema for PDF forms. List of widgets with their types, descriptions, and bounding boxes. Only works for PDFs.
EditWidget[] properties
bboxBoundingBoxRequiredBounding box coordinates of the widget
6 properties
leftnumberRequiredtopnumberRequiredwidthnumberRequiredheightnumberRequiredpagenumberRequiredThe page number of the bounding box (1-indexed).
original_pagenumberThe page number in the original document of the bounding box (1-indexed).
descriptionstringRequiredDescription of the widget extracted from the document
typestringRequiredType of the form widget
- Allowed
textcheckboxradiodropdownbarcode
fillbooleanIf True (default), the system will attempt to fill this widget. If False, the widget will be created but intentionally left unfilled.
- Default
true
valuestringIf provided, this value will be used directly instead of attempting to intelligently determine the field value.
font_sizenumberFont size in points for this specific field. Takes priority over the global font_size in EditOptions. If not set, falls back to the global font_size, then to auto-calculated sizing.
filledbooleanResponse only. True if Reducto wrote a value to this widget, False if it was left empty. Ignored in requests.
prioritybooleanWorkers poll the priority queue ahead of the standard queue, so priority jobs start sooner when there is queued work; sync jobs are prioritized above async jobs by default.
- Default
false
webhookWebhookConfigNew4 properties
modestringThe mode to use for webhook delivery. Defaults to 'disabled'. We recommend using 'svix' for production environments.
- Default
"disabled"- Allowed
disabledsvixdirect
urlstringThe URL to send the webhook to (if using direct webhoook).
metadataunknownJSON metadata included in webhook request body
channelsstring[]A list of Svix channels the message will be delivered down, omit to send to all channels.
Response
job_idstringRequired
detailValidationError[]5 properties
loc(string | number)[]RequiredmsgstringRequiredtypestringRequiredinputunknownctxobject